%define name    drawmap 
%define version 2.2
%define release 1mdk

Summary: A cartography package that draws maps of the USA
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
URL: http://www.ttc-cmc.net/~fme/drawmap.html
Copyright: GPL
Group: Sciences/Geosciences
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Drawmap is a cartography package that draws maps of the USA using data
from the USGS.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build
perl -pi -e "s| -g| -g \\$\(CFLAGS)||g;" Makefile

make CFLAGS="$RPM_OPT_FLAGS" all

%install
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
install -m 644 *.1  $RPM_BUILD_ROOT%{_mandir}/man1/

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755  drawmap ll{2utm,search} utm2ll \
    $RPM_BUILD_ROOT%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING* README WHATS_NEW
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2-1mdk
- updated to 2.2

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0-2mdk
- BM
- macros

* Thu Jul 13 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 2.0-1mdk
  - v2.0 (initial packaging from freshmeat)
